# Generated by Django 2.0.6 on 2018-06-04 21:25

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Bet',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('home_goals', models.IntegerField(blank=True, null=True)),
                ('away_goals', models.IntegerField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Country',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=20)),
            ],
        ),
        migrations.CreateModel(
            name='Match',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('time', models.DateTimeField()),
                ('stage', models.CharField(choices=[('GROUP', 'GROUP'), ('ROUND OF 16', 'ROUND OF 16'), ('QUARTER-FINALS', 'QUARTER-FINALS'), ('SEMI-FINALS', 'SEMI-FINALS'), ('THIRD PLACE', 'THIRD PLACE'), ('FINALS', 'FINALS')], max_length=45)),
                ('home_goals', models.IntegerField(blank=True, null=True)),
                ('away_goals', models.IntegerField(blank=True, null=True)),
                ('away', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='away_matches', to='bet.Country')),
                ('home', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='home_matches', to='bet.Country')),
            ],
        ),
        migrations.AddField(
            model_name='bet',
            name='match',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='bets', to='bet.Match'),
        ),
        migrations.AddField(
            model_name='bet',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='bets', to=settings.AUTH_USER_MODEL),
        ),
    ]
